Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.ErrorPrefix Property
BaseDatabase Class See Also Send Feedback

The prefix string that appears before error messages issued by Berkeley DB.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public string ErrorPrefix { get; set; }

Visual Basic (Declaration)
    Public Property ErrorPrefix As String

Visual C++
    public:
    property String^ ErrorPrefix {
    	String^ get ();
    	void set (String^ value);
    }

# Remarks

For databases opened inside of a DatabaseEnvironment, setting ErrorPrefix affects the entire environment and is equivalent to setting ErrorPrefix.

Setting ErrorPrefix configures operations performed using the specified object, not all operations performed on the underlying database.

# See Also

BaseDatabase Class
BerkeleyDB Namespace